package cn.iocoder.yudao.module.payment.service.impl;

import cn.iocoder.yudao.module.payment.entity.FzRecord;
import cn.iocoder.yudao.module.payment.mapper.FzRecordMapper;
import cn.iocoder.yudao.module.payment.service.IFzRecordService;
import cn.iocoder.yudao.util.DateUtils;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 分账记录Service业务层处理
 *
 * @author zcy
 * @date 2023-10-18
 */
@Service
public class FzRecordServiceImpl extends ServiceImpl<FzRecordMapper, FzRecord> implements IFzRecordService
{


    /**
     * 查询分账记录
     *
     * @param id 分账记录主键
     * @return 分账记录
     */
    @Override
    public FzRecord selectFzRecordById(Long id)
    {
        return baseMapper.selectFzRecordById(id);
    }

    /**
     * 查询分账记录列表
     *
     * @param fzRecord 分账记录
     * @return 分账记录
     */
    @Override
    public IPage<FzRecord> selectFzRecordList(Page<FzRecord> page, FzRecord fzRecord)
    {
        return baseMapper.selectFzRecordList(page,fzRecord);
    }

    /**
     * 新增分账记录
     *
     * @param fzRecord 分账记录
     * @return 结果
     */
    @Override
    public int insertFzRecord(FzRecord fzRecord)
    {
        return baseMapper.insert(fzRecord);
    }

    /**
     * 修改分账记录
     *
     * @param fzRecord 分账记录
     * @return 结果
     */
    @Override
    public int updateFzRecord(FzRecord fzRecord)
    {
        fzRecord.setUpdateTime(DateUtils.getNowDate());
        return baseMapper.updateById(fzRecord);
    }

}
